Home
My Page
Projects
Windows Privacy Tray

[#6409] WinPT 1.5.3 doesn't work with GnuPG 2.0.19

Date:
2013-01-13 06:49
Priority:
3
State:
Open
Submitted by:
Ruy Urban (faois)
Assigned to:
Timo Schulz (twoaday)
Hardware:
All
Product:
None
Operating System:
other
Component:
None
Version:
None
Severity:
blocker
Resolution:
None
 
URL:
Summary:
WinPT 1.5.3 doesn't work with GnuPG 2.0.19

Detailed description
I've installed GnuPG 2.0.19 in Windows 7 32 bit, using Gpg4win 2.1.1 Beta... and WinPT 1.5.3 will not detect gpg2.exe (newer version) and will not accept not even manually entering gpg.exe (included in the folder).



First gives an error saying "Could not find the GPG binary (gpg.exe).\ Do you want to satrt the GPG preferences to correct this problem?" I say "Yes", try to add the GPG (gpg.exe) from the C:\Program Files\GNU\GnuPG\pub folder but WinPT 1.5.3 will not accept it, saying "Key Cache \ Invalid crypto engine". Tryint to add gpg2.exe also but from C:\Program Files\GNU\GnuPG folder will produce the same error.

Followup

Message
Date: 2013-07-01 09:30
Sender: aaa bbb

Hi, I came here to submit the same bug for XP. Kleopatra is ridiculous and WinPT is my interface of choice. I found it'll work with GnuPG 2.1.1 only when I replace GPG's updated libgpgme-11.dll with WInPT's outdated libgpgme-11.dll. This is no problem but is it safe for the encryption's strength?
Date: 2013-01-19 00:57
Sender: Ruy Urban

Thanks in advanced!
Date: 2013-01-16 18:56
Sender: Timo Schulz

I see your point and I agree that WinPT should at least provide basic support for GPG 2. I will see what I can do...
Date: 2013-01-15 02:52
Sender: Ruy Urban

Thanks for the answer :)

I understand the problem of your limited resources... and would like to thank you for your affords in maintaining this project alive.

GnuPG 2.0.17, is already included in the latest stable version of the Gpg4win, that is in reality almost mandatory to obtain the windows version of GnuPG binary (because GnuPG no longer makes available the binary in their web page and most users won't go to the ftp server ftp://ftp.gnupg.org/gcrypt/binary/ to download of the 1.4.x version... and 2.0.x is not even available their... GPG4WIN is the only place for a normal user obtain it). And GnuPG 2.0.19 (latest version) is in the beta version.

It makes sense to have compatible versions with both 1.4.x and 2.0.x versions... should you have the time to do the work.

Thanks again for afford!
Date: 2013-01-13 14:57
Sender: Timo Schulz

Thanks for the notification. We definitely need to work on the gpg2 support but due to our limited resources, this will take time.

Attached Files:

Changes:

Field Old Value Date By
assigned_tonone2013-01-13 14:57twoaday

This site is hosted by Intevation GmbH